#ifndef _QMEDIACENTER_H_
#define _QMEDIACENTER_H_

#include <QtGui>

#include "ui_qMediaCenter.h"
#include "ui_addShare.h"

class QMediaCenter : public QDialog, private Ui::DialogBase
{
	Q_OBJECT

	public:
		QMediaCenter(QWidget *parent = 0);

	private:
		void check_OS();
		void check_dir();
		bool check_root();
		void check_php();
//		void colorize_dir();
		void check_httpd();
		void check_autostart();
		void readShares();
		void addShare(const QString & ShareName, const QString & ShareDir);
		void resetButtons();
		QProcess *MediaCenterProcess;
		QProcess *TestProcess;
		QProcess *ConfigureProcess;
		bool isRunning;

	private slots:
		void on_ButtonDir_clicked();
		void on_ButtonStart_clicked();
		void on_ButtonStop_clicked();
		void on_ButtonAdd_clicked();
		void on_ButtonAuto_clicked();
		void on_ButtonSave_clicked();
		void on_label_dir_textChanged(const QString &);
		void on_checkBox_Autostart_stateChanged(int);

		void On_MediaCenter_Output();
		void test();
		void On_Test_Output();
		void On_DeleteLine(int line);
};

#endif
